# Get raster

| **Description** | Retrieves raster for a given extent                            |
| --------------- | -------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/raster/timestamp/{timestampId}/rasterByExtent` |
| **Method**      | GET                                                            |

### Access Level Rules

| **Minimum Access Level** | view |
| ------------------------ | ---- |

### Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th>Description</th><th>Required</th><th>Default</th><th data-hidden>Type</th></tr></thead><tbody><tr><td>pathId</td><td>The id of the raster layer.</td><td>true</td><td></td><td></td></tr><tr><td>timestampId</td><td>The id of the timestamp to get the raster for.</td><td>true</td><td></td><td></td></tr><tr><td>extent</td><td>A JSON with properties "xMin", "xMax", "yMin" and "yMax" denotating the bounds of the image. The bounds need to be in epsg 3857.</td><td>true</td><td></td><td></td></tr><tr><td>width</td><td>Integer for the width of the image in pixels. Maximum of 2048.</td><td>true</td><td></td><td></td></tr><tr><td>height</td><td>Integer for the height of the image in pixels. Maximum of 2048.</td><td>true</td><td></td><td></td></tr><tr><td>bands</td><td>Array of integers containing the bands for which to retrieve data.</td><td>false</td><td>Default null.</td><td></td></tr><tr><td>style</td><td>An id of a style to apply or an object describing a valid style. If not given original raster values are returned.<br><br>Valid object for style can be found here: <a href="https://docs.ellipsis-drive.com/developers/api-v3/path-raster/styles/add-style">https://docs.ellipsis-drive.com/developers/api-v3/path-raster/styles/add-style</a></td><td>false</td><td>Default null.</td><td></td></tr><tr><td>mask</td><td>A GeoJSON geometry of type polygon or multiPolygon in WGS84 to apply as mask.</td><td>false</td><td>Default null.</td><td></td></tr><tr><td>applyStyle</td><td>Boolean indicating whether to style the tile. If true a PNG is returned if false the style is ignored and a tiff file is returned instead.</td><td>false</td><td>Default true.</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/get-raster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
